function _typeof(obj) {
  '@babel/helpers - typeof'
  if (typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol') {
    _typeof = function _typeof(obj) {
      return typeof obj
    }
  } else {
    _typeof = function _typeof(obj) {
      return obj &&
        typeof Symbol === 'function' &&
        obj.constructor === Symbol &&
        obj !== Symbol.prototype
        ? 'symbol'
        : typeof obj
    }
  }
  return _typeof(obj)
}

/**
 * Deeply clones the given value.
 *
 * @param value - The value to clone
 * @returns Deep clone of the given value
 *
 * @category Common
 * @public
 */
export default function cloneDeep(value) {
  if (!value || !(_typeof(value) === 'object')) return value
  if (value instanceof Date) return new Date(value)
  var newObj = Array.isArray(value) ? [] : {}
  var valueObj = value
  Object.keys(valueObj).forEach(function (key) {
    if (valueObj[key] && _typeof(valueObj[key]) === 'object') {
      newObj[key] = cloneDeep(valueObj[key])
    } else {
      newObj[key] = valueObj[key]
    }
  })
  return newObj
}
