'use strict'

exports.default = drop

/**
 * Removes the given number of elements from the beginning.
 *
 * @param array - The array to remove elements from
 * @param howMany - The number of elements to remove
 * @returns A clone of the array with the given number of elements removed from the beginning
 *
 * @category Array
 * @public
 */
function drop(array, howMany) {
  if (howMany === void 0) {
    howMany = 1
  }

  if (howMany < 1) {
    return array
  }

  return array.slice(howMany)
}
