/**
 * Removes the given number of elements from the beginning.
 *
 * @param array - The array to remove elements from
 * @param howMany - The number of elements to remove
 * @returns A clone of the array with the given number of elements removed from the beginning
 *
 * @category Array
 * @public
 */
export default function drop(array) {
  var howMany =
    arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1

  if (howMany < 1) {
    return array
  }

  return array.slice(howMany)
}
