'use strict'

exports.default = find

/**
 * Returns the first matching element.
 *
 * @param array - The array to find element in
 * @param matcher - The function that returns true if element satisfies a condition
 * @returns An element that satisfies the condition
 *
 * @category Array
 * @public
 */
function find(array, matcher) {
  for (var i = 0; i < array.length; i++) {
    var _element = array[i]

    if (matcher(_element)) {
      return _element
    }
  }
}
