/**
 * Returns the index of the first matching element.
 *
 * @param array - The array to find element index in
 * @param matcher - The function that returns true if element satisfies a condition
 * @returns An element that satisfies the condition
 *
 * @category Array
 * @public
 */
export default function findIndex(array, matcher) {
  for (var index = 0; index < array.length; index++) {
    var _element = array[index]
    if (matcher(_element)) return index
  }

  return -1
}
