/**
 * Returns the last matching element in an array.
 *
 * @param array - The array to find element in
 * @param matcher - The function that returns true if element satisfies a condition
 * @returns A last element that satisfies the condition
 *
 * @category Array
 * @public
 */
export default function findLast<ElementType>(array: Array<ElementType>, matcher: (element: ElementType) => boolean): ElementType | undefined;
