'use strict'

exports.default = findLast

/**
 * Returns the last matching element in an array.
 *
 * @param array - The array to find element in
 * @param matcher - The function that returns true if element satisfies a condition
 * @returns A last element that satisfies the condition
 *
 * @category Array
 * @public
 */
function findLast(array, matcher) {
  for (var i = array.length - 1; i >= 0; i--) {
    var _element = array[i]

    if (matcher(_element)) {
      return _element
    }
  }
}
