'use strict'

exports.default = omit

function _extends() {
  _extends =
    Object.assign ||
    function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i]
        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key]
          }
        }
      }
      return target
    }
  return _extends.apply(this, arguments)
}

/**
 * Creates a copy of the object without given fields.
 *
 * @param object - The object to remove fields from
 * @param keys - The field names to remove
 * @returns The copy of the object without given fields
 *
 * @category Object
 * @public
 */
function omit(object, keys) {
  var clone = _extends({}, object)

  ;(Array.isArray(keys) ? keys : [keys]).forEach(function (key) {
    return delete clone[key]
  })
  return clone
}
