'use strict'

exports.default = take

/**
 * Creates a copy of an array with the given number of elements starting from the beginning.
 *
 * @param array - The array to copy elements from
 * @param howMany - The number of elements to copy, default is 1
 * @returns The copy of the array with the given number of elements from the beginning
 *
 * @category Array
 * @public
 */
function take(array, howMany) {
  if (howMany === void 0) {
    howMany = 1
  }

  if (howMany < 1) {
    return []
  }

  return array.slice(0, howMany)
}
