/**
 * Creates an array with n elements returned from the mapper function.
 *
 * @param n - The number of times to repeat mapper
 * @param mapper - The function executed n times
 * @returns The array of n elements returned from the mapper function
 *
 * @public
 */

/**
 * Creates an array of n size filled with the indexes of the elements.
 *
 * @param n - The number of elements
 * @returns The array of indexes, starting from 0
 *
 * @public
 */

/**
 * @internal
 */
export default function times(n, mapper) {
  var arr = []

  for (var i = 0; i < n; i++) {
    var _mapper

    arr.push(
      (_mapper = mapper === null || mapper === void 0 ? void 0 : mapper(i)) !==
        null && _mapper !== void 0
        ? _mapper
        : i
    )
  }

  return arr
}
